Subject: Re: [Bcm43xx-dev] [Fwd: State of the Union: Wireless]

From: Patrick McHardy <[email-masked]>
Date: Fri, 06 Jan 2006 23:22:34 +0100

David Lang wrote:
> On Fri, 6 Jan 2006, Patrick McHardy wrote:
> 
>> I think the main advantages of netlink over a character device is its
>> flexible format, which is easily extendable, and multicast capability,
>> which can be used to broadcast events and configuration changes. Its
>> also good to have all the net stuff accessible in a uniform way.
> 
> 
> character devices are far easier to script. this really sounds like the 
> type of configuration stuff that sysfs was designed for. can we avoid 
> yet another configuration tool that's required?

I think its not just configuration but also event handling
for associating, link layer authentication, ..., which is
not something handled by scripts but by some daemon. It might
also want to set up routes or ip addresses which is done using
netlink anyway.